This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114416 - evolution (and related) packages lack appropriate dependencies
evolution (and related) packages lack appropriate dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 16:30 EST by Dan Berger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 21:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Berger 2004-01-27 16:30:45 EST
Description of problem:
When attempting to install the Evolution 1.5.3 packages (from
http://people.redhat.com/katzj/evolution/) on a Fedora Core 1 machine
I discovered that the packages don't reflect their dependencies
accurately.

the Evolution 1.5.3 package relies on glib2-2.3.2 (for
g_value_take_object) which in turn relies on gtk2-2.3.2 (for
gtk_threads_lock and gtk_threads_unlock).  

I don't know if the binary packages work on Fedora Core 1 or not as
they also relied on mozilla 1.6 and I tweaked the mozilla version in
the spec file and was rebuilding when I discovered this problem.

Fortunately, upgrading glib2, gtk2, atk, pango, and their associated
devel packages from Fedora test allowed the build to complete.

Even though this is only an issue when trying to install the packages
on Fedora Core 1, the dependency on a specific minimum version of
glib2 should be relfected in the package.  

Similarly, glib2's dependence on a specific minimum version of gtk2
should be reflected in it's package.

Version-Release number of selected component (if applicable):
evolution 1.5.3-1
glib2 2.3.2-1
Comment 1 Carwyn Edwards 2004-01-28 00:41:05 EST
On a vanilla FC1:

bash$ evolution
evolution: relocation error: /usr/lib/libgtkhtml-3.1.so.3: undefined
symbol: gdk_threads_lock
bash$ rpm -q evolution
evolution-1.5.3-1

To answer Dan's question - no the binaries don't work on FC1 (without
stuff from testing).

Comment 2 Dan Berger 2004-01-29 00:19:29 EST
This isn't strictly related to this bug, but for others who might find
it while thinking of installing the required Fedora Test packages on
FC 1 - I've noticed that gnome-term isn't terribly happy. 
Specifically, Ctrl-Shift-T (new tab), Ctrl-PageUp and Ctrl-PageDown
(switch tabs) no longer work.

Just a friendly word of warning.
Comment 3 Dave Malcolm 2004-05-17 21:10:43 EDT
The latest test RPMS are now at http://people.redhat.com/dmalcolm

They currently cover Evolution 1.5.7, and I've upped the GTK+
requirement to 2.4.0 (with some patching to use the new file selector
dialog where possible).  So this should imply the necessary dependencies.

I'm changing resolving this (as "RAWHIDE") as the latest testing
version should fix it.

Note You need to log in before you can comment on or make changes to this bug.